Loading...
Searching...
No Matches
caf::io::doorman Class Referenceabstract
Actor-based Network Abstraction

Manages incoming connections. More...

`#include <doorman.hpp>`

Inheritance diagram for caf::io::doorman:

## Public Member Functions

| doorman (accept_handle acc_hdl)
bool | new_connection (execution_unit *ctx, connection_handle x)
virtual void | launch ()=0
| Starts listening on the selected port.
Public Member Functions inherited from caf::io::broker_servant< network::acceptor_manager, accept_handle, new_connection_msg >
| broker_servant (handle_type x)
handle_type | hdl () const
void | halt ()
void | trigger ()
void | trigger (size_t num)
optional< size_t > | activity_tokens () const
Public Member Functions inherited from caf::io::network::acceptor_manager
virtual bool | new_connection ()=0
| Called by the underlying I/O device to indicate that a new connection is awaiting acceptance.
virtual uint16_t | port () const =0
| Get the port of the underlying I/O device.
Public Member Functions inherited from caf::io::network::manager
void | set_parent (abstract_broker *ptr)
| Sets the parent for this manager.
abstract_broker * | parent ()
| Returns the parent broker of this manager.
bool | detached () const
| Returns true if this manager has a parent, false otherwise.
Public Member Functions inherited from caf::ref_counted
| ref_counted (const ref_counted &)
ref_counted & | operator= (const ref_counted &)
void | ref () const noexcept
| Increases reference count by one.
void | deref () const noexcept
| Decreases reference count by one and calls request_deletion when it drops to zero.
bool | unique () const noexcept
| Queries whether there is exactly one reference.
size_t | get_reference_count () const noexcept

## Protected Member Functions

message | detach_message () override
Protected Member Functions inherited from caf::io::broker_servant< network::acceptor_manager, accept_handle, new_connection_msg >
void | detach_from (abstract_broker *ptr) override
void | invoke_mailbox_element_impl (execution_unit *ctx, mailbox_element &x)
bool | invoke_mailbox_element (execution_unit *ctx)
new_connection_msg & | msg ()

## Additional Inherited Members

Public Types inherited from caf::io::broker_servant< network::acceptor_manager, accept_handle, new_connection_msg >
using | handle_type
Protected Attributes inherited from caf::io::broker_servant< network::acceptor_manager, accept_handle, new_connection_msg >
handle_type | hdl_
mailbox_element_vals< new_connection_msg > | value_
optional< size_t > | activity_tokens_
Protected Attributes inherited from caf::ref_counted
std::atomic< size_t > | rc_
Related Symbols inherited from caf::ref_counted
void | intrusive_ptr_add_ref (const ref_counted *p)
void | intrusive_ptr_release (const ref_counted *p)

## Detailed Description

Manages incoming connections.

## Member Function Documentation

## launch()

virtual void caf::io::doorman::launch | ( |  | ) |

pure virtual

Starts listening on the selected port.

Implemented in caf::io::network::doorman_impl.

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_io/caf/io/doorman.hpp